[solved] How to quickly crop screenshots?

Hi there,
I am looking for a software recommendation that combines nicely with gnome-screenshot.
gnome-screenshot is great to quickly take a selection and copy it into the clipboard. However, sometimes I need to grab the whole screen, for instance because I need to wait for a certain window to pop up first. Yet I do not need the whole screen but just a selection.
What I usually do is the following:
1. Use gnome-screenshot to grab the whole screen after a delay of 5 seconds
2. Copy the screenshot to clipboard
3. Open GIMP to crop the screenshot to my desired selection
4. Copy the cropped screenshot to clipboard
5. Open a browser and upload it from clipboard to imgur.com
I am annoyed by step 3, to open GIMP. GIMP is totally oversized for this task.
Do you know of any small GUI that does nothing more than taking an image from clipboard, allowing me to crop it to a selection and copying back to clipboard?
Thanks for your tips!
Last edited by orschiro (2014-06-10 21:32:51)

1-3 the program scrot can do all of these things (wait x seconds, grab only a certain area, etc..).
4-5 I just do "imgur filename" in a terminal where imgur is this script:
#!/bin/bash
# imgur script by Bart Nagel <[email protected]>
# version 4
# I release this into the public domain. Do with it what you will.
# Required: curl
# Optional: xsel or xclip for automatically putting the URLs on the X selection
# for easy pasting
# Instructions:
# Put it somewhere in your path and maybe rename it:
# mv ~/Downloads/imgurbash.sh ~/bin/imgur
# Make it executable:
# chmod +x ~/bin/imgur
# Optional, since Alan kindly provided an API key for this script: stick your
# API key in the top:
# vim ~/bin/imgur
# Upload an image:
# imgur images/hilarious/manfallingover.jpg
# Upload multiple images:
# imgur images/delicious/cake.png images/exciting/bungeejump.jpg
# The URLs will be displayed (and the delete page's URLs will be displayed on
# stderr). If you have xsel or xclip the URLs will also be put on the X
# selection, which you can usually paste with a middle click.
# API Key provided by [email protected]
apikey="b3625162d3418ac51a9ee805b1840452"
# function to output usage instructions
function usage {
echo "Usage: $(basename $0) <filename> [<filename> [...]]" >&2
echo "Upload images to imgur and output their new URLs to stdout. Each one's" >&2
echo "delete page is output to stderr between the view URLs." >&2
echo "If xsel or xclip is available, the URLs are put on the X selection for" >&2
echo "easy pasting." >&2
# check API key has been entered
if [ "$apikey" = "Your API key" ]; then
echo "You first need to edit the script and put your API key in the variable near the top." >&2
exit 15
fi
# check arguments
if [ "$1" = "-h" -o "$1" = "--help" ]; then
usage
exit 0
elif [ $# == 0 ]; then
echo "No file specified" >&2
usage
exit 16
fi
# check curl is available
type curl >/dev/null 2>/dev/null || {
echo "Couln't find curl, which is required." >&2
exit 17
clip=""
errors=false
# loop through arguments
while [ $# -gt 0 ]; do
file="$1"
shift
# check file exists
if [ ! -f "$file" ]; then
echo "file '$file' doesn't exist, skipping" >&2
errors=true
continue
fi
# upload the image
response=$(curl -F "key=$apikey" -H "Expect: " -F "image=@$file" \
http://imgur.com/api/upload.xml 2>/dev/null)
# the "Expect: " header is to get around a problem when using this through
# the Squid proxy. Not sure if it's a Squid bug or what.
if [ $? -ne 0 ]; then
echo "Upload failed" >&2
errors=true
continue
elif [ $(echo $response | grep -c "<error_msg>") -gt 0 ]; then
echo "Error message from imgur:" >&2
echo $response | sed -r 's/.*<error_msg>(.*)<\/error_msg>.*/\1/' >&2
errors=true
continue
fi
# parse the response and output our stuff
url=$(echo $response | sed -r 's/.*<original_image>(.*)<\/original_image>.*/\1/')
deleteurl=$(echo $response | sed -r 's/.*<delete_page>(.*)<\/delete_page>.*/\1/')
echo $url
echo "Delete page: $deleteurl" >&2
# append the URL to a string so we can put them all on the clipboard later
clip="$clip$url
done
# put the URLs on the clipboard if we have xsel or xclip
if [ $DISPLAY ]; then
{ type xsel >/dev/null 2>/dev/null && echo -n $clip | xsel; } \
|| { type xclip >/dev/null 2>/dev/null && echo -n $clip | xclip; } \
|| echo "Haven't copied to the clipboard: no xsel or xclip" >&2
else
echo "Haven't copied to the clipboard: no \$DISPLAY" >&2
fi
if $errors; then
exit 1
fi
About the fastest, most lightweight and also convenient way to do this for me that I have found so far.

Similar Messages

  • [SOLVED] How to quick sync multiple machines?

    I've installed archlinux on my 3x32 bit and 2x64 bit machines.
    Is there a method to quick install package?
    These machines are on the same network.
    I wish one machine 'POOL' could be a proxy package location.
    To save energy, I only power on POOL when required.
    I don't want mirror all package files in Arch Mirrors.
    There are requirement for x86_64 & i686 repository requirement.
    Is there any convenient method?
    Thanks for reply
    Last edited by dlin (2011-02-28 16:07:41)

    Network shared pacman cache - ArchWiki

  • How to save a screenshot while VI is running in LabVIEW 8.5

    I am wondering how to save the screenshot of PC while the VI is running in LabVIEW 8.5.1?
    Thank you.

    I like using the Snipping Tool built into Windows 7 and later. 
    http://windows.microsoft.com/en-us/windows7/products/features/snipping-tool
    A couple things I like, 
    1. When you make a snip, it automatically puts it in the clipboard so you can quickly paste it into a document
    2. If you hit "Cancel" on the current snip process you put it into a kind of "triggered" mode. So, I can put my mouse over a drop down menu or other interactive component in LabVIEW, then press ctrl+PrtScn to call the Snipping Tool to action, and it allows me to snip whatever interactive components were open. For example, here is a snip of a right-click on a control that shows it being highlighted and the right click menu. 
    Tim A.
    National Instruments

  • How can i take screenshots in windows media player

    How can i take  screenshots in windows media player.

    If you mean "encrypted", the running Windows Media Player or Windows Media
    Center IN a window and not full screen may allow you to take a screen shot of
    the desktop in its entirety. That can be cropped to just the content wanted.
    Here is an example
    http://digitalmediaphile.com/content/binary/LookslikeNetflixMCEHDisRollingOut_5E2C/netflixMCEHDsm.jpg
    On Sun, 27 Nov 2011 22:31:05 +0000, Laurent Gébeau [MToo] [MVP] wrote:
    >
    >
    >Carefull : if the video is displayed by a video card accelerator (acquisition card for exemple) then it won't work.
    >
    >Screen capture only works for "windows content", not video incrusted signal.
    >
    >
    >Laurent Gébeau
    http://www.toutwindows.com
    http://twitter.com/mtoo
    Barb Bowman
    http://www.digitalmediaphile.com

  • How do I crop multiple separate images from one photo

    I need am trying to crop multiple pictures from a scanned yearbook.  I would like to save the people's pictures individually.  How do I crop and save multiple images from one scanned page?

    DUplicate the photo and crop the duplicates
    LN

  • How do I crop an image in photoshop and place it in an illustrator file without having a white backg

    How do I crop and image in photoshop and place it in an illustrator file without having a white background ?

    Could you post the image (or a lores version of it) on this Forum?

  • How do I crop a Preview document using Mountain Lion

    How do I crop a Preview document using Mountain Lion

    Bring up the Edit toolbar and choose the crop tool. Choose the area to crop. Then comd-k or "Crop" from the "Tools" menu.
    EDIT: As baltwo says if it's a document crop won't work.

  • How do I crop a PDF with Preview.

    How do I crop a PDF with Preview.
    For some strange reason, when I crop a PDF using preview the rest of the PDF is still “their” when opened using other software.
    I truly want to crop a PDF and have the uncropped portions completely go away.  Do I really have to open Photoshop to do this?

    "there" not "their"  -  unless I am really confused about what you are doing !
    I put a white rectangle over what I wanted to crop out of the pdf I was working on.
    Not a  proper solution, i then needed to use "export as PDF" of my PDF so that the next user of the document couldn't simply lift off the rectangle I had put on the document to cover what ideally I would have removed.
    Add mark up is something else I tried, to black out the text that I wanted concealed, but we are limited to a slim choice of colours, not including black.
    I would like to see a function "crop" with "crop inside" and "crop outside" options. I am not familiar with Adobe or other software. Presumably since they invented it, Adobe is the place to go if you have repeated exercises requiring meddling with Adobe documents.

  • Can anyone tell me how to convert crop marks to registration on a supplied pdf. The pdf also has spot colours which the crop marks need to be in too.

    Can anyone tell me how to convert crop marks to registration on a supplied pdf. The pdf also has spot colours which the crop marks need to be in too.

    Greetings,
    I've never seen this issue, and I handle many iPads, of all versions. WiFi issues are generally local to the WiFi router - they are not all of the same quality, range, immunity to interference, etc. You have distance, building construction, and the biggie - interference.
    At home, I use Apple routers, and have no issues with any of my WiFi enabled devices, computers, mobile devices, etc - even the lowly PeeCees. I have locations where I have Juniper Networks, as well as Aruba, and a few Netgears - all of them work as they should.
    The cheaper routers, Linksys, D-Link, Seimens home units, and many other no name devices have caused issues of various kinds, and even connectivity.
    I have no idea what Starbucks uses, but I always have a good connection, and I go there nearly every morning and get some work done, as well as play.
    You could try changing channels, 2.4 to 5 Gigs, changing locations of the router. I have had to do all of these at one time or another over the many years that I have been a Network Engineer.
    Good Luck - Cheers,
    M.

  • How do I crop finished photo - PS CS 4?

    Hello - I've finished a photo and have flattened all the layers, and even unlocked the new flattened layer, and now I want to crop this photo, but when I go to Image, the crop feature is grayed out - how do I crop away unwanted portions of this photo? Am running photoshop CS 4.
    Thanks in advance.

    Right, you should make a selection first, and then the Image > Crop command is available:)

  • How do I crop without aperture re-enlarging the photo? Can I maintain size of crop without drastically affecting size of mega pixel output for online data transfer to print site?

    HOW DO I CROP WITHOUT APERTURE RE-SIZING THE PHOTO? CAN I MAINTAIN THE SELECTED CROP SIZE (VERY SLIGHT EDGE TRIM) WITHOUT
    DRASTICALLY AFFECTING THE MEGAPIXEL SIZE BEING SENT TO ONLINE PRINTING SITE?

    Note the "Size" read out on the crop popup this tells you the size your cropped image wil be. eg. The image here is a 21 megapixel image, cropping the image like so reduces the file size to 5MP, your exported file size can only be a max of this 5MP.
    Hope this Helps, (HTH)
    Tony

  • HT2639 I am making a holiday card. I keep trying to crop the picture but it appears to big and only 2 out of the three people in the picture appear in the allowed area..How do I crop and size it to fit correctly?? Size is roughly 3.5 x 5.5??

    I am trying to make a holiday card.  The Front has pictures running up and down the left and right side. In the middle is the rough 3.5 x 5.5 opening that I would like to place the 3 person picture in.  Problem is, only two of the three kids in it fit. How do I crop / make it shrink to fit correctly in this opening?  I have tried cropping but it still does not size correctly. under crop in edit, what should I do?? Thanks!

    Well, I wouldn't go that far.. the G5 Quad is still a very capable machine.. A machine is obsolete only if it fails to do what you want it to do, and those at TenFourFox would argue your point.. as far as an ipod or ipod touch? Why bother when I can charge it in the wall rather via from the computer's USB port. Ok I decided that I can turn my mac pro into a 24 hour/seven day a week hosting server for all my computers.. It won't use more than 1 core, but at least it will allow me to host 1000's of files and backups of all my original software on all my machines.
    To Apple, the Quad maybe obsolete, but to me it is far from it as it runs just as it did when it was brand new. It is semi brand new anyway.
    Thank you all for your advice.

  • How to Pan/Crop a Video?

    Alright, I'm a complete newbie when it comes to AE and I can't figure out how to pan/crop videos like in Sony Vegas. I need both my video and text to  be in a different position, but amazingly I couldn't find any results online. I am running CS6 , thanks for any help I can get.

    Getting started with After Effects
    Really, read it. If you can't even do a basic crop, then you'll forever run into trouble with the simplest things.
    Mylenium

  • How do I crop an image to 3.5 x 5

    I'm trying to match the size and aspect ratio of an older photo.  The old photo was printed at 3.5" x 5.0".
    How do I crop an image with Aperture to 3.5x5.0?
    Thanks.

    When you crop, the only control is the aspect ratio. You can crop an image with a custom ratio by selecting "custom" at the bottom of the aspect ratio popup menu in the Crop HUD that appears while in the Crop command.
    The size only matters when you print the image. In the print dialog you can set the size in inches of the printed image. The dpi of the printed photo will depend on the pixel size of the image divided by the printed size in inches.
    If you want to control the exact dpi of the printed image, you'll need a pixel editor such as Photoshop.

  • My problem/Q not solved- how/what correct signal setting on the Macbook pro for ther PC config on Bravia defn

    Regrettably Shane mu Q/problem is not solved-how does one check the comptability of defn (1020x...) for the computer and Bracia?

    Don't know, I do know the TV has a higher refresh rate, check out SwitchResX online for more control options over HDMI.

Maybe you are looking for

  • Running FCP HD 4 on Intel Mac?

    Hello Not sure where I should post this.... I recently acquired FCP HD 4 (retail) for a screamin' deal. I was hoping it would run on my Mac Pro. It installed fine but when I try to open it, I get configuration error with hardware/software is missing

  • Integration with Twango

    Nokia has acquired Twango some 6 months ago. Twango is a media sharing thingy for sharing photos and videos like flickr, youtube, etc. But till today, I still don't see any kind of integration between Nokia software and Twango services. E.g. Nokia ph

  • Root Cause Analysis (OS and DB - OS Command Console) Connection problem!

    Dear Community, i've got a problem with the Root Cause Analysis OS Command console! Currently I try to read the System MemStat info from the console, without success! I've got the following errors: Error1: Error to parse the data returns by 'SAPOSCol

  • Classic won't start in OS X

    When I try to start Classic, it gets hung-up with the Welcome to OS9 message. I found information that said I needed to upgrade to 0S9.2.2 to fix this problem (I was running 9.1). When I try to install 9.2.1, it launches Classic, which gets hangs. Ca

  • Find my iPad location is not correct?

    I just used MobileMe to look for my new iPad and where it says it is, is not where it really is.  It is setting right next to me on the desk while I type this.  Yet, https/me.com/find says that it is 6 doors down on a different street!  How can I fix